#pragma once

#include "CoreMinimal.h"
#include "ChargeableInteractionDefinition.h"
#include "OniPounceInteraction.generated.h"

class UOniDemonModeAttackStateComponent;
class UDemonModeComponent;
class AKiller;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UOniPounceInteraction : public UChargeableInteractionDefinition
{
	GENERATED_BODY()

private:
	UPROPERTY(BlueprintReadWrite, Transient, Instanced, meta=(AllowPrivateAccess=true))
	UOniDemonModeAttackStateComponent* _chargedAttackState;

	UPROPERTY(BlueprintReadWrite, Transient, Instanced, meta=(AllowPrivateAccess=true))
	UDemonModeComponent* _demonModeComponent;

	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	AKiller* _killer;

public:
	UOniPounceInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UOniPounceInteraction) { return 0; }
